aboutsummaryrefslogtreecommitdiffstats
path: root/community/py-sqlalchemy/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-24 10:22:08 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-24 10:22:08 +0000
commit59b0f6a7ee2319c6bc656846ab522f9b493da046 (patch)
tree3b0bf1172897c4405fc87ba70293b467620878d3 /community/py-sqlalchemy/APKBUILD
parent8c2592691cb1e1d1c0eb750ef757b1d79c1f2325 (diff)
downloadaports-59b0f6a7ee2319c6bc656846ab522f9b493da046.tar.gz
aports-59b0f6a7ee2319c6bc656846ab522f9b493da046.tar.bz2
aports-59b0f6a7ee2319c6bc656846ab522f9b493da046.tar.xz
community/py-sqlalchemy: moved from testing, upgrade to 1.0.14, added python3 support and py2/py3 subpackages
Diffstat (limited to 'community/py-sqlalchemy/APKBUILD')
-rw-r--r--community/py-sqlalchemy/APKBUILD50
1 files changed, 50 insertions, 0 deletions
diff --git a/community/py-sqlalchemy/APKBUILD b/community/py-sqlalchemy/APKBUILD
new file mode 100644
index 0000000000..d11abe9480
--- /dev/null
+++ b/community/py-sqlalchemy/APKBUILD
@@ -0,0 +1,50 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer: William Pitcock <nenolod@dereferenced.org>
+pkgname=py-sqlalchemy
+_pkgname=SQLAlchemy
+pkgver=1.0.14
+pkgrel=0
+pkgdesc="object relational mapper for python"
+url="http://pypi.python.org/pypi/SQLAlchemy"
+arch="noarch"
+license="MIT"
+depends=""
+makedepends="python2-dev py-setuptools python3-dev"
+install=""
+subpackages="py3-${pkgname/py-/}:_py3 py2-${pkgname/py-/}:_py2"
+source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir"/$_pkgname-$pkgver
+
+
+build() {
+ cd "$builddir"
+ python2 setup.py build || return 1
+ python3 setup.py build || return 1
+}
+
+package() {
+ mkdir -p "$pkgdir"
+}
+
+_py() {
+ local python=$1
+ pkgdesc="$pkgdesc - $python"
+ arch="all"
+ install_if="$pkgname=$pkgver-r$pkgrel $python"
+ cd "$builddir"
+ $python setup.py install --prefix=/usr --root="$subpkgdir"
+}
+
+_py2() {
+ _py python2
+ replaces="$pkgname"
+}
+
+_py3() {
+ _py python3
+}
+
+md5sums="173c9d1ea5cf51893e65d213c280bd2a SQLAlchemy-1.0.14.tar.gz"
+sha256sums="da4d1a39c1e99c7fecc2aaa3a050094b6aa7134de7d89f77e6216e7abd1705b3 SQLAlchemy-1.0.14.tar.gz"
+sha512sums="ae504f413ca8d803e90f4bb383a32196e9242764c966b42a0dcbac96aa75cd716079e9acd9ed2e4ab621a1224de4675af5407cacc95de47331a3befdbc1ab662 SQLAlchemy-1.0.14.tar.gz"